# Class AgentRunRequest

java.lang.Object
com.google.adk.web.dto.AgentRunRequest

public class AgentRunRequest extends Object
Data Transfer Object (DTO) for POST /run and POST /run-sse requests. Contains information needed to execute an agent run.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `String`
  `appName`
  `Object`
  `newMessage`
  `String`
  `sessionId`
  `Map<String,Object>`
  `stateDelta`
  Optional state delta to merge into the session state before running the agent.
  `boolean`
  `streaming`
  `String`
  `userId`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `AgentRunRequest()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getAppName()`
  `com.google.genai.types.Content`
  `getNewMessage()`
  `String`
  `getSessionId()`
  `Map<String,Object>`
  `getStateDelta()`
  `boolean`
  `getStreaming()`
  `String`
  `getUserId()`

  ### Methods inherited from class Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### appName

    public String appName

  - ### userId

    public String userId

  - ### sessionId

    public String sessionId

  - ### newMessage

    public Object newMessage

  - ### streaming

    public boolean streaming

  - ### stateDelta

    @Nullable public Map<String,Object> stateDelta
    Optional state delta to merge into the session state before running the agent. This allows updating session state dynamically per request, useful for injecting configuration (e.g., replay mode settings) without modifying the stored session.

- ## Constructor Details

  - ### AgentRunRequest

    public AgentRunRequest()

- ## Method Details

  - ### getAppName

    public String getAppName()

  - ### getUserId

    public String getUserId()

  - ### getSessionId

    public String getSessionId()

  - ### getNewMessage

    public com.google.genai.types.Content getNewMessage()

  - ### getStreaming

    public boolean getStreaming()

  - ### getStateDelta

    @Nullable public Map<String,Object> getStateDelta()